org.eclipse.jetty.servlet.api

## Interface ServletRegistration.Dynamic

- All Superinterfaces:
    Registration, Registration.Dynamic, ServletRegistration
  All Known Implementing Classes:
    ServletHolder.Registration
  Enclosing interface:
    ServletRegistration

      public static interface ServletRegistration.Dynamic
      extends ServletRegistration, Registration.Dynamic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.servlet.api.ServletRegistration

      `ServletRegistration.Dynamic`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setLoadOnStartup(int loadOnStartup)`
    `void` | `setRunAsRole(String roleName)`

    - ### Methods inherited from interface org.eclipse.jetty.servlet.api.ServletRegistration

      `addMapping, getMappings, getRunAsRole`

    - ### Methods inherited from interface org.eclipse.jetty.servlet.api.Registration.Dynamic

      `setAsyncSupported`

    - ### Methods inherited from interface org.eclipse.jetty.servlet.api.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Method Detail

    - #### setLoadOnStartup

          void setLoadOnStartup(int loadOnStartup)

    - #### setRunAsRole

          void setRunAsRole(String roleName)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.